Last modified: 2014-08-25 21:20:00 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 46141 - Make renameWiki.php actually work
Make renameWiki.php actually work
Status: PATCH_TO_REVIEW
Product: MediaWiki extensions
Classification: Unclassified
WikimediaMaintenance (Other open bugs)
master
All All
: Normal normal (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: wikis-to-rename
  Show dependency treegraph
 
Reported: 2013-03-15 01:54 UTC by Sam Reed (reedy)
Modified: 2014-08-25 21:20 UTC (History)
6 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Sam Reed (reedy) 2013-03-15 01:54:13 UTC
[01:45:20] <binasher> that script won't work
[01:45:33] <binasher> those are just the shards that are currently being written to
[01:45:56] <binasher> but there are also cluster{1..10} and {20..23}
[01:46:07] <binasher> all of which are read only and not in a replication tree anymore
[01:46:40] <jeremyb_> you can't rename tables on a read only DB... \o/
[01:46:42] <binasher> plus the table naming convention is now blobs_cluster25
Comment 1 Sam Reed (reedy) 2013-03-15 02:06:20 UTC
Core table renaming in https://gerrit.wikimedia.org/r/53919
Comment 2 Andre Klapper 2013-07-25 08:16:36 UTC
(In reply to comment #1 by Reedy)
> Core table renaming in https://gerrit.wikimedia.org/r/53919

Merged on 2013-05-07.

Reedy: What else is needed to get this fixed?
Comment 3 Sam Reed (reedy) 2013-10-23 01:05:47 UTC
(In reply to comment #2)
> Reedy: What else is needed to get this fixed?

Being able to rename stuff in external storage
Comment 4 Sam Reed (reedy) 2014-05-22 22:38:25 UTC
extension1 too
Comment 5 Gerrit Notification Bot 2014-08-25 21:19:57 UTC
Change 156189 had a related patch set uploaded by Withoutaname:
Try to make renameWiki.php actually work

https://gerrit.wikimedia.org/r/156189

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links